Description

It would be a nice feature if you could mark a playlist to protect it from closing. When activated, the playlist should not close in any

way (middle-click, click the X, Ctrl-W) without manually unprotecting it first. An appropriate visual representation would be nice

(making the playlist caption italic might suffice).

In my opinion this feature should not include making the playlist protected from changes (that's why I say "protect", not "lock" it).

I guess protecting a playlist shouldn't be hard to implement in itself; all the stuff that goes with it (config file, UI update, etc) I dont

know.

History

#1 - October 05, 2012 00:23 - John Lindgren

There is already an (optional) confirmation dialog, though it can't be enabled/disabled on a per-playlist basis.

#2 - October 05, 2012 01:33 - Nevik Rehnel

Yes, and that has indeed saved me from accidentally closing a playlist several times. It would be nice to prevent even that though, since there are a

few playlists I know I won't ever close

#3 - October 05, 2012 08:09 - Adriano Moura

Wouldn't it be nicer to just get hid of the X button? You can already right click the tab and select close, you can do the same using the global menu

and you can also use ctrl+w shortcut. They are all fairly hard to hit by accident. This would also provide a nice space for even more playlists!

Also, what really gets me is by mistake hitting delete (the END button is right next to it...) and having some random song missing from a playlist,

sometimes being really hard to guess what vanished, mainly for non album songs.

#4 - December 02, 2019 20:21 - John Lindgren

- Category set to core

#5 - December 06, 2019 01:59 - John Lindgren

- Status changed from New to Rejected

#660 is similar.  I think we would go that route (make the playlist read-only) if we implement something like this.

It doesn't seem that useful to prevent accidentally deleting the playlist, if you can still accidentally delete all the entries in it.
